---
title: Store stop words
slug: graph/api/store-stop-words
docTags: 
createdAt: 2026-08-28T18:28:55.472Z
---

{
  "id": "G_3tPbCklXV4Kz0rYFNx7",
  "type": "api-oas-v2",
  "data": {
    "method": "PUT",
    "url": "https://cg.optimizely.com/resources/stopwords",
    "servers": [
      {
        "url": "https://cg.optimizely.com/resources/stopwords"
      }
    ],
    "name": "Store stop words",
    "description": "<p>Stop words are the words in a stop list (or stop list or negative dictionary) which are filtered out (stopped) before or after processing of natural language data (text) because they are insignificant</p>",
    "contentType": "text/plain",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "language_routing",
          "type": "string",
          "description": ""
        },
        {
          "kind": "optional",
          "name": "source_routing",
          "type": "string",
          "description": ""
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "epi-hmac",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>HMAC authentication (<code>epi-hmac xxx</code>)</p>",
          "in": "header"
        },
        {
          "id": "Basic",
          "name": "Basic",
          "kind": "optional",
          "type": "http",
          "description": "HMAC credentials",
          "scheme": "basic"
        },
        {
          "id": "Bearer",
          "name": "Bearer",
          "kind": "optional",
          "type": "http",
          "description": "JWT token",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "204",
        "description": "No content",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "wyZRPUVCt3FJM3U8huGhq",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PUT \\\n     --url https://cg.optimizely.com/resources/stopwords \\\n     --header 'accept: application/json'"
        },
        {
          "id": "64xd1MFsfbokRBGEj0QHg",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"text/plain\");\n\nvar requestOptions = {\n   method: 'PUT',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://cg.optimizely.com/resources/stopwords\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "0aTCLGgg9HEabXnvrTzOo",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://cg.optimizely.com/resources/stopwords\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"text/plain\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "XI2xJacMup_yIQyEHNdYi",
          "language": "python",
          "label": "Python",
          "code": "import requests\n\nurl = \"https://cg.optimizely.com/resources/stopwords\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'text/plain'\n}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "wyZRPUVCt3FJM3U8huGhq"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-204",
          "language": "204",
          "code": "// No content\n"
        }
      ],
      "selectedLanguageId": "response-0-204"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}